#include "level.h"

Level::Level()
{
    // Fill the level with water
    for (Row &row : map)
    {
        for (char &cell : row)
            cell = '.';
    }

    // Temporary mock

    // Ground
    map[1][2] = '-';
    map[1][3] = '-';
    map[1][4] = '-';
    map[2][2] = '-';
    map[3][2] = '-';
    map[3][3] = '-';
    // Charge
    map[2][3] = '$';
}

void Level::placeBridge(coordinate x, coordinate y)
{
    map[x][y] = static_cast<char>(177);
}

bool Level::isCellOfType(coordinate x, coordinate y, char type) const
{
    return (map[x][y] == type);
}

void Level::removeCharge(coordinate x, coordinate y)
{
    map[x][y] = '-';
}
